<!DOCTYPE html>
<html lang="fr" dir="ltr">

<head>
    <% include _head %>
    <link rel="stylesheet" type="text/css" href="/css/classes.css">
    <script src="https://unpkg.com/feather-icons"></script>

</head>
<!-- On charge les parcours via une fonction JS pour pouvoir la rappeler ensuite (en cas de mise à jour de la liste : supression, etc.) -->
<body onload="ui_parcours.loadParcoursByUser(<%=JSON.stringify(parcoursPrives)%>)">

    <%
        const deleteMultipleParcours = 'Voulez-vous supprimer l`intégralité des parcours sélectionnés ?';
        const multipleDelete = 'Suppression multiple';
        const confirm = 'Confirmer';
        const sortByName = 'name';
        const sortByDate = 'date';
        const sortAscendant = 'asc';
        const sortDescendant = 'desc';
        const classItem = 'classe';
        const studentItem = 'student';
        const publicParcoursItem = 'parcoursPublic';
        const privateParcoursItem = 'parcoursPrive';
        const privateParcoursCheckBox = 'parcoursPriveCheckBox';
    %>

<% include _loading %>
<nav class="navbar">
    <% include _lang %>
    <span class="text-align-center font-italic"><%= __('global_welcome') %>, <%= professeur %>!</span>
    <div class="float-right">
        <% if(roleId === 2 || roleId === 3) { %>
            <div class="btn-group">
                <button type="button" class="btn btn-outline-secondary dropdown-toggle" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                    <%= __('global_admin')%>
                </button>
                <div class="dropdown-menu">
                    <% switch (roleId) {
                    case 3:
                    %>
                    <a href="/admin/role" class="dropdown-item" id="role"><%= __('global_role') %></a>&nbsp
                    <a href="/admin/signalement" class="dropdown-item" id="signalement"><%= __('global_signalement') %></a>&nbsp;
                    <% case 2: %>
                    <a href="/admin/valider" class="dropdown-item" id="valider"><%= __('global_valider') %>
                    </a>
                    <a href="validerParcours" class="mt-4 dropdown-item" id="validateParcours"><%= __('validate_parcours') %></a>
                    <% default :
                        break;
                    } %>
                </div>
            </div>
        <%
        }
        %>
        <a href="/logout" class="btn btn-outline-warning ml-auto">
            <%= __('global_logout') %>
        </a>
    </div>
</nav>
<div id="information">
    <div class="text-center">
        <p class="lead mb-0"><%- __('classes_information') %></p>
        <a href="/about" class="small"><%= __('about_title') %></a>
    </div>
</div>
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h1 class="display-3"><%= __('classes_classes') %></h1>
            <% if(typeof (classes) !== "undefined") { %>
            <details open>
                <summary class="btn-info mb-2">Mes classes</summary>
                <div id="sortAndSearchClasses" class="row classe list-group-item-action col-12 justify-content-around mb-2" role="tablist">Nom <a href="#"><i data-feather="chevron-down" onclick="ui_global.sortListGroup('<%=sortByName%>','<%=sortAscendant%>','<%=classItem%>')"></i><i data-feather="chevron-up" onclick="ui_global.sortListGroup('<%=sortByName%>','<%=sortDescendant%>','<%=classItem%>')"></i></a>
                    <input type="search" class="form-control col-5" placeholder="<%= __('serachClass') %>" onkeyup="ui_global.searchInListGroup(this.value.toLowerCase(),'<%=classItem%>')">
                </div>
                <div class="form-group" id="classes">
                    <ul id="lstClasses" class="list-group mb-3">
                        <% for(var i = 0; i < classes.length; i++) { %>
                            <a href="#" name="<%=classItem%>" class="list-group-item classe" id="classe<%= classes[i].id %>"
                               onclick="ui_classes.setClasse(<%= classes[i].id %>);">
              <span>
                <%= classes[i].nom %> (<%= classes[i].degre %>)<i
                          onclick="ui_classes.openSharingModal('<%= classes[i].uuid %>'); %>"
                          class="fas fa-share-square float-right" data-toggle="tooltip"
                          title="<%= __('classes_share') %>"></i>
              </span>
                            </a>
                        <% } %>
                    </ul>
                </div>
            </details>
            <% } %>
        </div>
        <div class="col-md-6">
            <h1 class="display-3">
                <%= __('classes_students') %>
            </h1>
            <details open>
                <summary class="btn-info mb-2">Mes élèves</summary>
                <div id="sortAndSearchStudents" class="row classe list-group-item-action col-12 justify-content-around mb-2" role="tablist">Nom <a href="#"><i data-feather="chevron-down" onclick="ui_global.sortListGroup('<%=sortByName%>','<%=sortAscendant%>','<%=studentItem%>')"></i><i data-feather="chevron-up" onclick="ui_global.sortListGroup('<%=sortByName%>','<%=sortDescendant%>','<%=studentItem%>')"></i></a>
                    <input type="search" class="form-control col-5" placeholder="Rechercher un élève" onkeyup="ui_global.searchInListGroup(this.value.toLowerCase(),'<%=studentItem%>')">
                </div>
                <div class="form-group" id="eleves">
                    <ul id="lstEleves" class="list-group mb-3">

                    </ul>
                </div>
            </details>
        </div>
        <div class="modal fade" id="modal_share" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title"><%= __('classes_share') %></h5>
                        <button type="button" class="close" data-dismiss="modal">
                            <span>&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p><%= __('classes_modal_text') %></p>
                        <p id="modal_share_link"></p>
                        <p><%= __('classes_modal_warning') %></p>
                        <p><%= __('classes_modal_share_text') %></p>
                        <div id="modal_share_fast">
                            <input type="email" class="form-control" name="email" id="email"
                                   placeholder="<%= __('classes_modal_email_placeholder') %>">
                            <textarea name="text" rows="4" cols="6" id="text" class="form-control mt-2"></textarea>
                            <input type="button" id="sendbtn" value="<%= __('classes_modal_email_send') %>"
                                   class="btn btn-outline-success mt-2" onclick="ui_classes.sendEmail()">
                            <div class="progress" id="progressbar">
                                <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar"
                                     aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"
                                     style="width: 100%"></div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary"
                                data-dismiss="modal"><%= __('global_back') %></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row justify-content-between">
        <div class="col">
            <a href="/ajouterClasse" class="btn btn-info" id="addClasse"><%= __('classes_addClass') %></a>
            <a href="/profil/classe" class="btn btn-primary" id="profilClasse"><%= __('classes_profilClasse') %></a>
            <a  id="parcoursClasse" href="#" onclick="ui_parcours.loadParcoursByTarget(`#lstClasses`)" class="btn btn-success"><%= __('classes_parcours') %></a>
        </div>
        <div class="col">
            <input type="button" value="<%= __('classes_addStudent') %>" class="btn btn-info" id="addEleve"
                   onclick="ui_classes.toggleAddEleve();">
            <a href="/profil/eleve" class="btn btn-primary" id="profilEleve"><%= __('classes_profilEleve') %></a>
            <a href="/jeux" class="btn btn-warning" id="jouer"><%= __('global_play') %></a>
            <a  id="parcoursEleve" href="#" onclick="ui_parcours.loadParcoursByTarget(`#lstEleves`)" class="btn btn-success"><%= __('classes_parcours') %></a>
        </div>
    </div>
    <div class="row mt-5">
        <div class="col-md-12 container">
            <h1 class="display-3"><%= __('classes_parcours') %></h1>
            <details id="parcoursPublics" class="row mb-5" role="tabpanel">
                <summary class="mb-2 btn-info"><%= __('classes_parcours_public')%></summary>
                <!-- Sort, Search and Filters Fields -->
                <% if((parcoursPublics) != null) { %>
                    <div id="sortAndSearchParcoursPublics" class="row classe list-group-item-action col-12 justify-content-around mb-2">Nom <a href="#"><i data-feather="chevron-down" onclick="ui_global.sortListGroup('<%=sortByName%>','<%=sortAscendant%>','<%=publicParcoursItem%>')"></i><i data-feather="chevron-up" onclick="ui_global.sortListGroup('<%=sortByName%>','<%=sortDescendant%>','<%=publicParcoursItem%>')"></i></a>
                        Date <a href="#"><i data-feather="chevron-down" onclick="ui_global.sortListGroup('<%=sortByDate%>','<%=sortAscendant%>','<%=publicParcoursItem%>')"></i><i data-feather="chevron-up" onclick="ui_global.sortListGroup('<%=sortByDate%>','<%=sortDescendant%>','<%=publicParcoursItem%>')"></i></a>
                        <input type="search" id="search" class="form-control col-4" placeholder="<%= __('serachParcours') %>" onkeyup="ui_global.searchInListGroup(this.value.toLowerCase(),'<%=publicParcoursItem%>')">
                        <button class="btn btn-outline-info" data-toggle="collapse" href="#parcoursPublicsFilters">Filtres</button>
                        <div id="parcoursPublicsFilters" class="row col-12 justify-content-around mt-2 collapse">
                            <select name="licenceFilter" id="licenceFilter" class="custom-select col-2" onchange="ui_global.searchInListGroup(this.value,'<%=publicParcoursItem%>')">
                                <option selected value="" class="btn"><%= __('licence') %></option>
                                <% parcoursPublics.forEach(parcours => { %>
                                    <script> ui_global.appendIfNotExist('licenceFilter','<%= parcours.licence %>','option')</script>
                                <% }); %>
                            </select>
                            <select name="ownerFilter" id="ownerFilter" class="custom-select col-3" onchange="ui_global.searchInListGroup(this.value,'<%=publicParcoursItem%>')">
                                <option selected value=""><%= __('owner') %></option>
                                <% parcoursPublics.forEach(parcours => { %>
                                    <script> ui_global.appendIfNotExist('ownerFilter','<%= parcours.owner %>','option')</script>
                                <% }); %>
                            </select>
                        </div>
                    </div>
                    <% for(var i = 0; i < parcoursPublics.length; i++) { %>
                    <div id="<%=parcoursPublics[i].id%>" class="classe d-flex list-group-item align-items-center" name="<%=publicParcoursItem%>" date="<%=parcoursPublics[i].created%>">
                        <% let competences = JSON.parse(parcoursPublics[i].competences)%>
                        <a class="col-lg-3 col-md-3 col-10" href="/sommaireParcours/<%=defaultStudentId%>/<%= parcoursPublics[i].nom %>" title="<%= __('see') %>"><%= parcoursPublics[i].nom %></a>
                        <span class="dateParcours col-2 d-none d-lg-block d-md-block"><strong>Licence : </strong><%=parcoursPublics[i].licence%></span>
                        <span class="dateParcours col-3 d-none d-lg-block d-md-block"><strong>Créé : </strong><%=parcoursPublics[i].created%></span>
                        <span class="dateParcours col-3 d-none d-lg-block d-md-block"><strong><%= __('owner') %> : </strong> <%=parcoursPublics[i].owner%></span>
                        <span class="dateParcours"><a class="" title="<%= __('download') %>" onclick="ui_parcours.duplicatePublicParcours(<%=JSON.stringify(parcoursPrives)%>,<%=JSON.stringify(parcoursPublics[i])%>)"><i class="sharing" data-feather="share"></i></a></span>
                    </div>
                    <% } %>
                <% } %>
            </details>
            <details id="parcoursPrives" class="row" role="tabpanel">
                <summary id="" class="mb-2 btn-info"><%= __('classes_parcours_private')%></summary>
                <div id="sortAndSearchParcoursPrives" class="row classe list-group-item-action col-12 justify-content-around mb-2" role="tablist">Nom <a href="#"><i data-feather="chevron-down" onclick="ui_global.sortListGroup('<%=sortByName%>','<%=sortAscendant%>','<%=privateParcoursItem%>')"></i><i data-feather="chevron-up" onclick="ui_global.sortListGroup('<%=sortByName%>','<%=sortDescendant%>','<%=privateParcoursItem%>')"></i></a>
                    Date <a href="#"><i data-feather="chevron-down" onclick="ui_global.sortListGroup('<%=sortByDate%>','<%=sortAscendant%>','<%=privateParcoursItem%>')"></i><i data-feather="chevron-up" onclick="ui_global.sortListGroup('<%=sortByDate%>','<%=sortDescendant%>','<%=privateParcoursItem%>')"></i></a>
                    <input type="search" class="form-control col-4" placeholder="Rechercher un parcours" onkeyup="ui_global.searchInListGroup(this.value.toLowerCase(),'<%=privateParcoursItem%>')">
                </div>
                <div id="multipleParcoursSelect" class="col m-2 collapse">
                    <input type="checkbox" value="" id="" onclick="ui_global.toggleAll(this,'<%=privateParcoursCheckBox%>')">
                    <label class="ml-3 mr-3 text-body"><%= __('select_all')%></label>
                    <i class="corbeille" data-feather="trash-2" onclick="ui_global.showConfirmAlert('warning','<%=multipleDelete%>','<%=deleteMultipleParcours%>','<%=confirm%>',function () {
                            ui_parcours.deleteMultipleParcours(ui_global.getSelectedCheckBoxes('<%=privateParcoursCheckBox%>'))
                            });"></i>
                </div>
                <div id="listeParcoursPrives"></div>
            </details>

            <div>
                <a id="addParcours" href="#parcoursPER" class="btn btn-info mt-3 mb-2" data-toggle="collapse"><%= __('classes_addParcours') %></a>
            </div>
            <!--<div>
                <a id="" href="#" class="btn btn-info mt-3 mb-2" onclick="ui_parcours.sendDatatoLRS()">send data</a>
            </div>-->
            <div class="row collapse" id="parcoursPER">
                <span class="col-md-2 font-weight-bold"><%= __('classes_PER') %></span>
                <div class="col-md-2">
                    <div class="list-group" id="disciplines" role="tablist">
                        <% var i=0; %>
                        <% json_per.disciplines.forEach((discipline) => { %>
                        <span class="list-group-item discipline" onclick="ui_parcours.afficherCompetences(<%=i%>,this);"><%=discipline.nom%></span>
                        <% i++ %>
                        <% }) %>
                    </div>
                </div>
                <div class="col-md-3" id="competences"></div>
                <div class="col-md-3" id="objectifs"></div>
            </div>
        </div>
    </div>
    <script>
        feather.replace()
    </script>
    <script type="text/javascript" src="/scripts/wrk/wrk.js"></script>
    <script type="text/javascript" src="/scripts/ui/ui_global.js"></script>
    <script type="text/javascript" src="/scripts/ui/ui_classes.js"></script>
    <script type="text/javascript" src="/scripts/ui/ui_parcours.js"></script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</body>

</html>